## NAME

gt-seqfilter - Filter the given sequence file(s) and show the results on stdout.

## SYNOPSIS

gt seqfilter [option …] [sequence_file …]

## DESCRIPTION

-minlength [value]

  set minimum length a sequence must have to pass the filter (default: undefined)

-maxlength [value]

  set maximum length a sequence can have to pass the filter (default: undefined)

-maxseqnum [value]

  set the maximum number of sequences which can pass the filter (default: undefined)

-sample [value]

  set a probability for each sequence to pass the filter (default: 1.000000)

-step [value]

  only every step-th sequence passes the filter (default: 1)

-nowildcards [yes|no]

  filter out seqences containing wildcards (default: no)

-width [value]

  set output width for FASTA sequence printing (0 disables formatting) (default: 0)

-o [filename]

  redirect output to specified file (default: undefined)

-gzip [yes|no]

  write gzip compressed output file (default: no)

-bzip2 [yes|no]

  write bzip2 compressed output file (default: no)

-force [yes|no]

  force writing to output file (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.